﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace Numeric_SL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void RadNumericUpDown_ValueChanged(object sender, Telerik.Windows.Controls.RadRangeBaseValueChangedEventArgs e)
        {
            var timeAsString = e.NewValue.Value.ToString("F2");
            var hours = int.Parse(timeAsString.Split('.')[0]);
            var minutes = int.Parse(timeAsString.Split('.')[1]);

            if (minutes > 59)
            {
                var time = new TimeSpan(hours, minutes, 0);
                (sender as RadNumericUpDown).Value = double.Parse(time.ToString(@"hh\.mm"));   
            }
        }
    }
}
